Subject: Re: gcc 3.3.3, const symbols and shared libraries
From: "Gerrit P. Haase" <[email-masked]>
To: Norton Allen <[email-masked]>
Cc: [email-masked]
Date: Tue, 29 Mar 2005 11:15:08 +0200

Norton Allen wrote:

> I have seen the discussions at
> 
> http://sourceware.org/ml/cygwin/2004-09/msg01101.html
> 
> referenced at
> 
> http://cygwin.com/ml/cygwin/2005-03/msg00048.html
> 
> regarding gcc 3.3.3's placement of const symbols into
> rdata which then cannot be properly initialized.
> This problem seems pretty fundamental. Can anyone
> tell me whether there has been any followup to
> this? Is it considered a cygwin problem or a
> gcc problem? Has it been addressed in 3.4.1?
> What are developers doing? Going back to 3.3.1?

The rule is to not use const symbols in shared libraries
if they are not really const;)

> I ask because I just spent two days trying to
> compile a number of libraries, and ran into
> problems at every turn due to this bug.

Gerrit
-- 
=^..^=

Action Soccer: http://www.action-soccer.de/?lv=de&id=505
(german online game)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/